package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.BusMerchant;
import org.dromara.payment.merchant.domain.vo.BusMerchantVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusMerchantService {

    /**
     * 查询商户
     */
    BusMerchantVo queryById(Long id);

    /**
     * 查询商户列表
     */
    TableDataInfo<BusMerchantVo> queryPageList(BusMerchantBo bo, PageQuery pageQuery);

    /**
     * 查询商户列表
     */
    List<BusMerchantVo> queryList(BusMerchantBo bo);

    /**
     * 新增商户
     */
    Boolean insertByBo(BusMerchantBo bo);

    /**
     * 修改商户
     */
    Boolean updateByBo(BusMerchantBo bo);

    /**
     * 校验并批量删除商户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * @Param id:企业id，ywyId:业务员id
     * @Return
     * @Author sunzexing
     * @Date 2024-04-20 16:01
     * 说明：设置业务员
     **/
    int setYwy(Long id, Long ywyId);


    /**
     * @Param id:企业id，ywyId:业务员id
     * @Return
     * @Author sunzexing
     * @Date 2024-04-20 16:04
     * 说明：解绑业务员
     **/

    Integer unbindYwy(Long id, Long ywyId);

    /***
     * 商户审核
     * @param merId
     * @param checkType
     * @param reason
     * @param domain
     * @return
     */
    Boolean checkMerChant(Long merId, Long checkType, String reason, String domain);
}
